cups-filters-1.20.3-lp150.1.1.x86_64.rpm


Advertisement

Description

cups-filters - OpenPrinting CUPS filters, backends, and cups-browsed

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename cups-filters-1.20.3-lp150.1.1.x86_64.rpm
Package name cups-filters
Package version 1.20.3
Package release lp150.1.1
Package architecture x86_64
Package type rpm
Category Hardware/Printing
Homepage http://www.linuxfoundation.org/collaborate/workgroups/openprinting/cups-filters
License GPL-2.0-only AND GPL-2.0-or-later AND GPL-3.0-only AND MIT
Maintainer -
Download size 881.46 KB
Installed size 2.72 MB
Contains backends, filters, and other software
that was once part of the core CUPS distribution
but is no longer maintained by Apple Inc.
In addition it contains additional filters
and software developed independently of Apple,
especially filters for the PDF-centric printing
workflow introduced by OpenPrinting and a daemon
to browse broadcasts of remote CUPS printers
and makes these printers available locally.
Since Ghostscript version 9.10 the CUPS filters
gstoraster and gstopxl are removed from Ghostscript.
Those filters are now provided by cups-filters.
Since cups-filters version 1.0.42 foomatic-rip
is also provided by cups-filters.
Since CUPS >= 1.6 the CUPS Browsing functionality
is dropped in CUPS. The OpenPrinting cups-browsed
is a daemon running in parallel to the CUPS daemon
to provide again basic CUPS Browsing functionality.
This way basic CUPS Browsing works on clients
with CUPS >= 1.6 when there are remote CUPS servers
of CUPS version 1.5 and older in the network.
Load-balancing (what CUPS <= 1.5 did via implicit classes)
is not supported with cups-browsed.

Alternatives

Package Version Architecture Repository
cups-filters - - -

Requires

Name Value
/bin/bash -
cups > 1.5.4
libavahi-client.so.3()(64bit) -
libavahi-common.so.3()(64bit) -
libavahi-glib.so.1()(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libcups.so.2()(64bit) -
libcupsimage.so.2()(64bit) -
libdbus-1.so.3()(64bit) -
libdbus-1.so.3(LIBDBUS_1_3)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libfontconfig.so.1()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libijs-0.35.so()(64bit) -
libjpeg.so.8()(64bit) -
libjpeg.so.8(LIBJPEG_8.0)(64bit) -
liblcms2.so.2()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpng16.so.16()(64bit) -
libpng16.so.16(PNG16_0)(64bit) -
libpoppler.so.73()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libqpdf.so.21()(64bit) -
libqpdf.so.21(LIBQPDF_21)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libtiff.so.5()(64bit) -
libz.so.1()(64bit) -
systemd -

Provides

Name Value
config(cups-filters) = 1.20.3-lp150.1.1
cups-browsed -
cups-filters = 1.20.3-lp150.1.1
cups-filters(x86-64) = 1.20.3-lp150.1.1
cups-filters-cups-browsed -
cups-filters-foomatic-rip -
cups-filters-ghostscript -
foomatic-filters = 4.0.17.256.1
foomatic-rip -
gstoraster -
libcupsfilters.so.1()(64bit) -
libfontembed.so.1()(64bit) -

Conflicts

Name Value
cups < 1.6
foomatic-filters < 4.0.17.256.1
foomatic-filters > 4.0.17.256.1

Obsoletes

Name Value
cups-filters-cups-browsed < 1.20.3
cups-filters-cups-browsed-debuginfo -
cups-filters-foomatic-rip < 1.20.3
cups-filters-foomatic-rip-debuginfo -
cups-filters-ghostscript < 1.20.3
cups-filters-ghostscript-debuginfo -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package cups-filters-1.20.3-lp150.1.1.x86_64.rpm
Source Package cups-filters-1.20.3-lp150.1.1.src.rpm

Install Howto

Install cups-filters rpm package:

# zypper install cups-filters

Files

Path
/etc/cups/cups-browsed.conf
/etc/fonts/conf.d/99pdftoopvp.conf
/usr/bin/driverless
/usr/bin/foomatic-rip
/usr/lib/cups/
/usr/lib/cups/backend/beh
/usr/lib/cups/backend/cups-brf
/usr/lib/cups/backend/driverless
/usr/lib/cups/backend/implicitclass
/usr/lib/cups/backend/parallel
/usr/lib/cups/backend/serial
/usr/lib/cups/driver/driverless
/usr/lib/cups/filter/bannertopdf
/usr/lib/cups/filter/brftoembosser
/usr/lib/cups/filter/brftopagedbrf
/usr/lib/cups/filter/cgmtopdf
/usr/lib/cups/filter/cmxtopdf
/usr/lib/cups/filter/commandtoescpx
/usr/lib/cups/filter/commandtopclx
/usr/lib/cups/filter/emftopdf
/usr/lib/cups/filter/foomatic-rip
/usr/lib/cups/filter/gstopdf
/usr/lib/cups/filter/gstopxl
/usr/lib/cups/filter/gstoraster
/usr/lib/cups/filter/imagetobrf
/usr/lib/cups/filter/imagetopdf
/usr/lib/cups/filter/imagetops
/usr/lib/cups/filter/imagetoraster
/usr/lib/cups/filter/imagetoubrl
/usr/lib/cups/filter/imageubrltoindexv3
/usr/lib/cups/filter/imageubrltoindexv4
/usr/lib/cups/filter/musicxmltobrf
/usr/lib/cups/filter/pdftoijs
/usr/lib/cups/filter/pdftoopvp
/usr/lib/cups/filter/pdftopdf
/usr/lib/cups/filter/pdftops
/usr/lib/cups/filter/pdftoraster
/usr/lib/cups/filter/rastertoescpx
/usr/lib/cups/filter/rastertopclm
/usr/lib/cups/filter/rastertopclx
/usr/lib/cups/filter/rastertopdf
/usr/lib/cups/filter/rastertops
/usr/lib/cups/filter/svgtopdf
/usr/lib/cups/filter/sys5ippprinter
/usr/lib/cups/filter/textbrftoindexv3
/usr/lib/cups/filter/textbrftoindexv4
/usr/lib/cups/filter/texttobrf
/usr/lib/cups/filter/texttopdf
/usr/lib/cups/filter/texttops
/usr/lib/cups/filter/texttotext
/usr/lib/cups/filter/vectortobrf
/usr/lib/cups/filter/vectortopdf
/usr/lib/cups/filter/vectortoubrl
/usr/lib/cups/filter/wmftopdf
/usr/lib/cups/filter/xfigtopdf
/usr/lib/systemd/system/cups-browsed.service
/usr/lib64/libcupsfilters.so.1
/usr/lib64/libcupsfilters.so.1.0.0
/usr/lib64/libfontembed.so.1
/usr/lib64/libfontembed.so.1.0.0
/usr/sbin/cups-browsed
/usr/sbin/rccups-browsed
/usr/share/cups/
/usr/share/cups/banners/classified
/usr/share/cups/banners/confidential
/usr/share/cups/banners/form
/usr/share/cups/banners/secret
/usr/share/cups/banners/standard
/usr/share/cups/banners/topsecret
/usr/share/cups/banners/unclassified
/usr/share/cups/braille/cups-braille.sh
/usr/share/cups/braille/index.sh
/usr/share/cups/braille/indexv3.sh
/usr/share/cups/braille/indexv4.sh
/usr/share/cups/charsets/pdf.utf-8
/usr/share/cups/charsets/pdf.utf-8.heavy
/usr/share/cups/charsets/pdf.utf-8.simple
/usr/share/cups/data/classified.pdf
/usr/share/cups/data/confidential.pdf
/usr/share/cups/data/default-testpage.pdf
/usr/share/cups/data/default.pdf
/usr/share/cups/data/form_english.pdf
/usr/share/cups/data/form_english_in.odt
/usr/share/cups/data/form_russian.pdf
/usr/share/cups/data/form_russian_in.odt
/usr/share/cups/data/secret.pdf
/usr/share/cups/data/standard.pdf
/usr/share/cups/data/testprint
/usr/share/cups/data/topsecret.pdf
/usr/share/cups/data/unclassified.pdf
/usr/share/cups/drv/cupsfilters.drv
/usr/share/cups/drv/generic-brf.drv
/usr/share/cups/drv/generic-ubrl.drv
/usr/share/cups/drv/indexv3.drv
/usr/share/cups/drv/indexv4.drv
/usr/share/cups/mime/braille.convs
/usr/share/cups/mime/braille.types
/usr/share/cups/mime/cupsfilters-ghostscript.convs
/usr/share/cups/mime/cupsfilters-poppler.convs
/usr/share/cups/mime/cupsfilters.convs
/usr/share/cups/mime/cupsfilters.types
/usr/share/cups/ppdc/braille.defs
/usr/share/cups/ppdc/fr-braille.po
/usr/share/cups/ppdc/imagemagick.defs
/usr/share/cups/ppdc/index.defs
/usr/share/cups/ppdc/liblouis.defs
/usr/share/cups/ppdc/liblouis1.defs
/usr/share/cups/ppdc/liblouis2.defs
/usr/share/cups/ppdc/liblouis3.defs
/usr/share/cups/ppdc/liblouis4.defs
/usr/share/cups/ppdc/media-braille.defs
/usr/share/doc/packages/cups-filters/AUTHORS
/usr/share/doc/packages/cups-filters/COPYING
/usr/share/doc/packages/cups-filters/NEWS
/usr/share/doc/packages/cups-filters/README
/usr/share/doc/packages/cups-filters/fontembed.README
/usr/share/man/man1/driverless.1.gz
/usr/share/man/man1/foomatic-rip.1.gz
/usr/share/man/man5/cups-browsed.conf.5.gz
/usr/share/man/man8/cups-browsed.8.gz
/usr/share/ppd/
/usr/share/ppd/cupsfilters/Fuji_Xerox-DocuPrint_CM305_df-PDF.ppd
/usr/share/ppd/cupsfilters/Generic-PDF_Printer-PDF.ppd
/usr/share/ppd/cupsfilters/HP-Color_LaserJet_CM3530_MFP-PDF.ppd
/usr/share/ppd/cupsfilters/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd
/usr/share/ppd/cupsfilters/Ricoh-PDF_Printer-PDF.ppd
/usr/share/ppd/cupsfilters/pxlcolor.ppd
/usr/share/ppd/cupsfilters/pxlmono.ppd

Changelog

2018-05-02 - luizluca@gmail.com
- Version upgrade to 1.20.3
to fix regression from 1.20.2 that ignores printers published
using legacy CUPS broadcast
2018-04-10 - jsmeix@suse.de
- Version upgrade to 1.20.2
to provide upstream bugfixes also for SLE15 / Leap15
and be also already prepared for SLE12 (fate#323676).
This is a bug fix release fixing the recognition
of remote CUPS queues by cups-browsed, the behavior
of cups-browsed when one creates a queue with the
same name of a cups-browsed-generated queue overwriting
it, and other bug fixes (for details see the NEWS file).
2018-04-04 - jsmeix@suse.de
- Version upgrade to 1.20.1
to provide upstream bugfixes also for SLE15 / Leap15
and be also already prepared for SLE12 (fate#323676).
This is a bug fix release fixing several issues
on the Braille support and other bugs, in particular
(for details see the NEWS file):
* libcupsfilters: Silenced warning when using CUPS < 2.x
by eliminating the use of a recently introduced
CUPS library function, see
https://bugs.linuxfoundation.org/show_bug.cgi?id=1421
* cups-browsed: Fixed crash when CUPS reports a print queue
without "device-uri" attribute when cups-browsed polls a
list of local CUPS queues, see
https://github.com/OpenPrinting/cups-filters/issues/16
- fix_upstream_bug_1421.patch is no longer needed because
it is now fixed in the upstream sources
(see the "libcupsfilters ... bug ... 1421" entry above).
2018-02-21 - jsmeix@suse.de
- Version upgrade to 1.20.0:
* Mainly enhancements and fixes for the PPD generator.
* For detailed info see the NEWS file.
- fix_upstream_bug_1421.patch is the upstream fix for
https://bugs.linuxfoundation.org/show_bug.cgi?id=1421
- Use 'BuildRequires python3-cups' only if suse_version >= 1330
(cf. "Do not require python-cups but rather python3-cups" below)
which means after any SLE12 service pack and after any Leap 42.x
i.e. for Tumbleweed, Leap 15.x, and the upcoming SLE15 and later
otherwise still use 'BuildRequires python-cups' to make it build
and usable again not only on some newest systems according to
https://en.opensuse.org/openSUSE:How_to_contribute_to_the_Printing_project
2018-01-23 - tchvatal@suse.com
- Version upgrade to 1.19.0:
* See the detailed stuff in NEWS file
* New filters and poppler compatibility as always
- Do not require python-cups but rather python3-cups in order to
allow build on python2 less system
- Explicitly enable ijs and opvp filters
2017-09-29 - olaf@aepfle.de
- Obsolete also debuginfo subpackages of the packages marked as
Obsoletes in this specfile (bsc#1047897)
2017-09-16 - zaitor@opensuse.org
- Version upgrade to 1.17.6:
* As the changelog is long for detailed info check the NEWS file.
* Package new filters.
* Compatible with poppler 0.58 and newer (Bug #1408).
2017-06-02 - jsmeix@suse.de
- The filter for Apple Raster input is rastertopdf
for CUPS 2.2.2+ and urftopdf for older CUPS.
Because Factory/Tumbleweed uses the newest CUPS for build
(which is currently CUPS 2.2.3 as of this writing) the filter
for Apple Raster input is rastertopdf for Factory/Tumbleweed
so that /usr/lib/cups/filter/urftopdf must be excluded
from the RPM files list for Factory/Tumbleweed.
2017-06-01 - jsmeix@suse.de
- The RPM scriptlet hack that created a special cupsfilters.convs
so that the gstoraster filter can be used with CUPS <= 1.5.4
does no longer make sense and is therefore removed.

See Also

Package Description
cups-filters-devel-1.20.3-lp150.1.1.x86_64.rpm Development files for cups-filters
cups-pdf-3.0.1-lp150.1.3.x86_64.rpm Virtual PDF printer for CUPS
cups-pk-helper-0.2.6-lp150.1.6.x86_64.rpm PolicyKit helper to configure cups with fine-grained privileges
cups-pk-helper-lang-0.2.6-lp150.1.6.noarch.rpm Translations for package cups-pk-helper
cura-engine-lulzbot-3.2.20-lp150.1.1.x86_64.rpm 3D printer control software
cura-lulzbot-3.2.20-lp150.1.1.noarch.rpm 3D printer control software
cura1-lulzbot-21.06-lp150.1.1.x86_64.rpm 3D printing software aimed at RepRaps, Ultimaker and LulzBot
curl-7.59.0-lp150.1.1.x86_64.rpm A Tool for Transferring Data from URLs
curlftpfs-0.9.2-lp150.1.4.x86_64.rpm Filesystem for mounting FTP hosts using FUSE and libcurl
cutecom-0.40.0-lp150.1.9.x86_64.rpm A graphical serial terminal
cvs-1.12.12-lp150.1.9.x86_64.rpm Concurrent Versions System
cvs-doc-1.12.12-lp150.1.9.noarch.rpm Info pages and Open Source Development with CVS, 2nd Edition Book
cvs2svn-2.4.0-lp150.1.3.noarch.rpm Converts CVS repositories to Subversion repositories
cvsps-2.1-lp150.1.3.x86_64.rpm A Program for Generating Patch Set Information from a CVS Repository
cxref-1.6e-lp150.1.10.x86_64.rpm C Cross Referencing & Documenting tool
Advertisement
Advertisement